
PH_2 - Bug #2425

Financial Module - Create Financial users

11/18/2021 10:22 AM - Saja Nakhleh

Status: Closed Start date: 11/18/2021

Priority: Normal Due date:  

Assignee: Saja Nakhleh % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result: Issue #1:

there is different alignment between the

table rows and row of actions 25.gif

Issue #2:

the fields are shown and does not

meaningful. 26.gif

Issue #3:

the same role could be repeated multiple

times ! 27.gif

Issue #4:

the added record after the deleted

records will not be shown till the user

click another delete !

Issue #5:

the id will keep counting the deleted

rows. 28.gif

Issue #6:

the password only sent by sms and not

printed out 

Issue #7:

search results will not be reset. 29.gif

Severity: Normal Environment: QA

Category: Financial Module Transaction Number:  

Sub-Category: create financial users Browser: Chrome

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result: Issue #1:

the table shape should be aligned

correctly with the remaining section

content 

Issue #2: 

the id and (المستخدم) fields should be

removed

Issue #3:

the same role should be repeated 

Issue #4:

the added record should be shown

normally 

Issue #5:

the deleted record should subtract 1 from

  

05/31/2025 1/4



the id 

Issue #6:

the generated username and password

should be printed to the applicant

Issue #7:

the search results should be cleared 

Description

Issue #1:

1. Open the (user management)->(Create financial users) screen

2. Observe the table alignment and the highlighted areas

Issue #2:

1. Open the (user management)->(Create financial users) screen

2. add the serial number and civil ID (2106770905/265090200279)

3. From the (الدور الوظيفي) section, Click add

4. Observe the id label and id value !

5. Observe the value of the field (المستخدم)

Issue #3:

1. Open the (user management)->(Create financial users) screen

2. add the serial number and civil ID (2106770905/265090200279)

3. From the (الدور الوظيفي) section, Click add

4. select the role : accountant

5. repeat steps (3 and 4) for 3 times using same values

Issue #4:

1. Open the (user management)->(Create financial users) screen

2. add the serial number and civil ID (2106770905/265090200279)

3. From the (الدور الوظيفي) section,  add 3 records and fill them each time

4. delete 2 records

5. add new record

Issue #5:

1. for the previous scenario (add 3, delete 2, add 1) observe the id for the last added record

Issue #6:

1. open the create new financial user screen and set all the mandatory fields and records

2. click save

3. Observe the password and username

Issue #7:

1. for the created user in issue #6, search it's username on the (مستخدمين المالية) scrreen

2. Click reset

History

#1 - 11/18/2021 12:31 PM - Saja Nakhleh

- File 29.GIF added

- Description updated

- Expected Result updated

- Actual Result updated

#2 - 12/02/2021 04:17 PM - Saeed Ismail

- Assignee changed from Saeed Ismail to Saja Nakhleh

Issue #1:

fixed

Issue #2:

fixed
Issue #3:

fixed

Issue #4:

fixed

Issue #5:

fixed, id is no longer available now

Issue #6:

fixed, print action added

Issue #7:

fixed

#3 - 12/11/2021 04:02 PM - Saja Nakhleh

- Status changed from Open to Fixed

#4 - 12/26/2021 12:59 PM - Saja Nakhleh

- Status changed from Fixed to Closed

Issue #1:

tested and verified.

Issue #2:

removed

Issue #3:

Verified as a validation is added

Issue #4:

Verified as a validation is added

Issue #5:

Rejected as the behavior is released

Issue #6:

tested and verified.

Issue #7:

tested and verified.
Files

25.GIF 57 KB 11/18/2021 Saja Nakhleh

26.GIF 46.1 KB 11/18/2021 Saja Nakhleh

27.GIF 59.7 KB 11/18/2021 Saja Nakhleh

28.GIF 31 KB 11/18/2021 Saja Nakhleh

29.GIF 87.5 KB 11/18/2021 Saja Nakhleh
